Browse Order Items
curl --request GET \
--url https://api.{tenant}.getomneo.com/api/v3/orders/{order}/itemsimport requests
url = "https://api.{tenant}.getomneo.com/api/v3/orders/{order}/items"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.{tenant}.getomneo.com/api/v3/orders/{order}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"external_id": "<string>",
"name": "<string>",
"order_id": 123,
"product_id": 123,
"product_variant_id": 123,
"sku": "<string>",
"variant_external_id": "<string>",
"is_void": true,
"quantity": 123,
"price_current": 123,
"price_sell": 123,
"price_original": 123,
"price_margin": 123,
"price_tax": 123,
"discounts": [
"<unknown>"
],
"department": "<string>",
"product_images": {},
"meta": [
"<unknown>"
],
"created_at": "<string>",
"updated_at": "<string>",
"product_variant": {
"id": 123,
"product_id": 123,
"sku": "<string>",
"external_id": "<string>",
"barcode": "<string>",
"web_url": "<string>",
"handle": "<string>",
"title": "<string>",
"description": "<string>",
"position": 123,
"price": 123,
"price_discounted": 123,
"price_comparison": 123,
"price_cost": 123,
"available_quantity": 123,
"images": "<string>",
"meta": [
"<unknown>"
],
"tags": [
"<string>"
],
"options": [
{
"name": "<string>",
"value": "<string>",
"sort_order": 123
}
],
"created_at": "<string>",
"updated_at": "<string>",
"deleted_at": "<string>"
},
"product": {
"title": "<string>",
"department": "<string>",
"brand": "<string>",
"custom_fields": [
{
"name": "<string>",
"handle": "<string>",
"namespace": "<string>",
"value": "<string>",
"type": "<string>",
"custom_fieldable_type": "<string>",
"custom_fieldable": {
"id": "<string>",
"external_id": "<string>",
"profile_id": "<string>",
"meta": "<string>",
"total": "<string>",
"total_original": "<string>",
"rounding": "<string>",
"margin": "<string>",
"is_void": "<string>",
"transacted_at": "<string>",
"timezone": "<string>",
"payments": "<string>",
"receipt_is_email": "<string>",
"receipt_ref": "<string>",
"linked_receipt_ref": "<string>",
"claimed_at": "<string>",
"receipt_email": "<string>",
"currency_id": "<string>",
"currency_rate": "<string>",
"currency": "<string>",
"type": "<string>",
"status": "<string>",
"order_number": "<string>",
"order_id": "<string>",
"external_order_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>",
"is_index": 123
}
]
},
"order": {
"transacted_at": "<string>",
"receipt_ref": "<string>",
"external_id": "<string>"
}
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Order Item
Browse Order Items
A GET to the /orders/{orderId}/items endpoint allows your application to retrieve all Items (Products) associated with an Order.
GET
/
v3
/
orders
/
{order}
/
items
Browse Order Items
Filtering
This endpoint accepts
filter and sort query parameters. See Filtering, sorting, and search for paging and for the shared search_with, custom_field, and json_contains filters.Examples
curl -X GET "https://api.[tenant].getomneo.com/api/v3/orders/{order}/items?filter[external_id]={external_id}" \
-H "Authorization: Bearer ${TOKEN}"
curl -X GET "https://api.[tenant].getomneo.com/api/v3/orders/{order}/items?filter[sku][nullable]=0" \
-H "Authorization: Bearer ${TOKEN}"
Operators
| Operator | Meaning | Example |
|---|---|---|
eq | Equal to. Applied when you give no operator. | filter[external_id]={external_id} |
ne | Not equal to. | filter[external_id][ne]={external_id} |
gt | Greater than. | filter[quantity][gt]=100 |
gte | Greater than or equal to. | filter[quantity][gte]=100 |
lt | Less than. | filter[quantity][lt]=250 |
lte | Less than or equal to. | filter[quantity][lte]=250 |
in | Matches any value in a comma separated list. | filter[variant_external_id][in]={variant_external_id},{other-variant_external_id} |
not_in | Excludes every value in a comma separated list. | filter[variant_external_id][not_in]={variant_external_id},{other-variant_external_id} |
nullable | 1 returns records where the attribute is empty. Any other value returns records where it is set. | filter[sku][nullable]=1 |
not_has operator applies to related attributes, which this endpoint does not have.
Filter attributes
| Attribute | Attribute | Attribute |
|---|---|---|
sku | variant_external_id | external_id |
name | quantity | price_current |
price_sell | price_original | price_margin |
price_tax | is_void | discounts |
department | order_id | meta |
sort key, for example ?sort=-sku for descending order.⌘I